- Qt 5.15
- Qt Charts
- C++ Classes
- QStackedBarSeries
- Qt Charts | Commercial or GPLv3

# QStackedBarSeries Class

The QStackedBarSeries class presents a series of data as vertically stacked bars, with one bar per category. More...

Header: | #include <QStackedBarSeries>
Instantiated By: | StackedBarSeries
Inherits: | QAbstractBarSeries

- List of all members, including inherited members

## Public Functions

| QStackedBarSeries(QObject *parent = nullptr)
virtual | ~QStackedBarSeries()

## Reimplemented Public Functions

virtual QAbstractSeries::SeriesType | type() const override

## Detailed Description

Each bar set added to the series contributes a single segment to each stacked bar.

See the stacked bar chart example to learn how to create a stacked bar chart.

See also QBarSet, QPercentBarSeries, and QAbstractBarSeries.

## Member Function Documentation

### QStackedBarSeries::QStackedBarSeries(QObject *parent = nullptr)

Constructs an empty bar series that is a QObject and a child of parent.

### `[virtual]` QStackedBarSeries::~QStackedBarSeries()

Removes the bar series from the chart.

### `[override virtual]` QAbstractSeries::SeriesType QStackedBarSeries::type() const

Reimplements an access function for property: QAbstractSeries::type.

Returns the stacked bar series.